[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] 3 commits: reproducible Debian dashboard: add support for bullseye

Holger Levsen gitlab at salsa.debian.org
Mon Jul 8 12:02:12 BST 2019



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
e71c4a41 by Holger Levsen at 2019-07-08T10:56:34Z
reproducible Debian dashboard: add support for bullseye

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -
6087599a by Holger Levsen at 2019-07-08T10:58:28Z
reproducible Debian maintenance: add support for bullseye

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -
59b38d6c by Holger Levsen at 2019-07-08T10:59:37Z
reproducible Debian: update comment (which refers to stable/buster)

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


3 changed files:

- bin/reproducible_html_dashboard.sh
- bin/reproducible_maintenance.sh
- bin/reproducible_notes.py


Changes:

=====================================
bin/reproducible_html_dashboard.sh
=====================================
@@ -1,7 +1,7 @@
 #!/bin/bash
 # vim: set noexpandtab:
 
-# Copyright 2014-2018 Holger Levsen <holger at layer-acht.org>
+# Copyright 2014-2019 Holger Levsen <holger at layer-acht.org>
 #         © 2015 Mattia Rizzolo <mattia at mapreri.org>
 # released under the GPLv=2
 
@@ -337,13 +337,14 @@ write_build_performance_stats() {
 	for ARCH in ${ARCHS} ; do
 		write_page " <th>$ARCH</th>"
 	done
-	write_page "</tr><tr><td class=\"left\">oldest build result in stretch / buster / unstable / experimental</td>"
+	write_page "</tr><tr><td class=\"left\">oldest build result in stretch / buster / bullseye / unstable / experimental</td>"
 	for ARCH in ${ARCHS} ; do
 		AGE_UNSTABLE=$(query_db "SELECT CAST(greatest(max(oldest_reproducible), max(oldest_FTBR), max(oldest_FTBFS)) AS INTEGER) FROM ${TABLE[2]} WHERE suite='unstable' AND architecture='$ARCH' AND datum='$DATE'")
 		AGE_EXPERIMENTAL=$(query_db "SELECT CAST(greatest(max(oldest_reproducible), max(oldest_FTBR), max(oldest_FTBFS)) AS INTEGER) FROM ${TABLE[2]} WHERE suite='experimental' AND architecture='$ARCH' AND datum='$DATE'")
 		AGE_STRETCH=$(query_db "SELECT CAST(greatest(max(oldest_reproducible), max(oldest_FTBR), max(oldest_FTBFS)) AS INTEGER) FROM ${TABLE[2]} WHERE suite='stretch' AND architecture='$ARCH' AND datum='$DATE'")
 		AGE_BUSTER=$(query_db "SELECT CAST(greatest(max(oldest_reproducible), max(oldest_FTBR), max(oldest_FTBFS)) AS INTEGER) FROM ${TABLE[2]} WHERE suite='buster' AND architecture='$ARCH' AND datum='$DATE'")
-		write_page "<td>$AGE_STRETCH / $AGE_BUSTER / $AGE_UNSTABLE / $AGE_EXPERIMENTAL days</td>"
+		AGE_BULLSEYE=$(query_db "SELECT CAST(greatest(max(oldest_reproducible), max(oldest_FTBR), max(oldest_FTBFS)) AS INTEGER) FROM ${TABLE[2]} WHERE suite='bullseye' AND architecture='$ARCH' AND datum='$DATE'")
+		write_page "<td>$AGE_STRETCH / $AGE_BUSTER / $AGE_BULLSEYE / $AGE_UNSTABLE / $AGE_EXPERIMENTAL days</td>"
 	done
 	write_page "</tr><tr><td class=\"left\">Build jobs configured</td>"
 	for ARCH in ${ARCHS} ; do


=====================================
bin/reproducible_maintenance.sh
=====================================
@@ -645,7 +645,7 @@ echo "$(date -u) - Checking for files with bad permissions."
 # automatically fix rbuild files with wrong permissions...
 # (we know it happens (very rarely) but... shrugs.)
 [ ! -d $DEBIAN_BASE/rbuild ] || find $DEBIAN_BASE/rbuild ! -perm 644 -type f -exec chmod -v 644 {} \; 2>/dev/null|| true
-BADPERMS=$(find $DEBIAN_BASE/{buildinfo,dbd,artifacts,stretch,buster,unstable,experimental,rb-pkg} ! -perm 644 -type f 2>/dev/null|| true)
+BADPERMS=$(find $DEBIAN_BASE/{buildinfo,dbd,artifacts,stretch,buster,bullseye,unstable,experimental,rb-pkg} ! -perm 644 -type f 2>/dev/null|| true)
 if [ ! -z "$BADPERMS" ] ; then
     DIRTY=true
     echo


=====================================
bin/reproducible_notes.py
=====================================
@@ -32,7 +32,7 @@ def load_notes():
     { 'package_name': [
         {'suite': 'unstable', 'version': '0.0', 'comments': None,
          'bugs': [1234, 5678], 'issues': ['blalba','auauau']},
-        {'suite': 'stretch', 'version': None, 'comments': 'strstr',
+        {'suite': 'buster', 'version': None, 'comments': 'strstr',
           'bugs': [], 'issues': []}],
       'package_name':<etc> }
     """



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/compare/38d739d80d32854e7bb8b238f8780d79d0f994be...59b38d6c4a1bc1aaedf7cfd2e69b69759d85b03f

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/compare/38d739d80d32854e7bb8b238f8780d79d0f994be...59b38d6c4a1bc1aaedf7cfd2e69b69759d85b03f
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20190708/6fa0f2e8/attachment-0001.html>


More information about the Qa-jenkins-scm mailing list